package gecco.game.dke;

import gecco.server.visibility.Point;

/**
 * RouteLink.java
 *
 *
 * Created: Sun Oct 20 20:32:47 2002
 *
 * @author <a href="mailto:Hans.Sandstrom@fhs.mil.se"> Hans Sandstrm </a>
 * @version
 */

public class RouteLink {

    int routeLinkIndex;
    AutomatonImpl current;
    int up;
    Point mapIndex;

    public RouteLink(AutomatonImpl current, int index, int up, Point mapIndex){
	this.current = current;
	this.routeLinkIndex = index;
	this.up = up;
	this.mapIndex = mapIndex;
    }

    public Point getMapIndex(){
	return mapIndex;
    }

    public AutomatonImpl getCurrentAutomaton(){
	return current;
    }

    public int getUp(){
	return up;
    }

    public int getRouteLinkIndex(){
	return routeLinkIndex;
    }
    
}// RouteLink
