package gecco.communication.messages;


import java.io.DataOutput;
import java.io.IOException;
import java.io.DataInput;


/**
 * AbortAllClientActionsMessage.java
 *
 *
 * Created: Thu Nov 28 21:26:39 2002
 *
 * @author <a href="mailto:m-8028@M-8028"></a>
 * @version
 */

public class AbortAllClientActionsMessage extends Message {

    private int pieceHandle;

    public AbortAllClientActionsMessage (int pieceHandle){
	this.pieceHandle = pieceHandle;
    }

    public int getPieceHandle(){
	return pieceHandle;
    }


    public  void write(DataOutput out) throws IOException{
	out.writeInt(MessageType.AbortAllClientActions);
	out.writeInt(pieceHandle);
    }

    
    public static Message read(DataInput in) throws IOException{
	int pieceHandle = in.readInt();
	return new AbortAllClientActionsMessage(pieceHandle);
    }

}// AbortAllClientActionsMessage
