package gecco.game.dke;

import gecco.server.core.Action;
import gecco.server.core.ActionReturn;
import gecco.server.core.ActionReturnCompleted;



/**
 * SetSpeedFactorAction.java
 *
 *
 * Created: Tue Aug 19 16:08:05 2003
 *
 * @author <a href=mailto:hans.sandstrom@fhs.mil.se> Hans Sandstrm </a>
 * @version 1.0
 */
public abstract class SetSpeedFactorAction extends Action {

    int factor; // Must be implemented in subclass

    public SetSpeedFactorAction() {
	super();
    }

    public ActionReturn checkPoint(){
    WarUnit wu = (WarUnit) getUnit();
    wu.setSpeedFactor(factor);
    return new ActionReturnCompleted();
    }

}
