package gecco.game.dke;

import gecco.server.core.ActionReturn;
import gecco.server.core.ActionReturnRequeue;
import gecco.server.core.ActionReturnCompleted;


/**
 * UnderIndirectFireDelayAction.java
 *
 *
 * Created: Mon Dec 16 09:13:56 2002
 *
 * @author <a href="mailto:m-8028@M-8028"></a>
 * @version
 */

public class UnderIndirectFireDelayAction extends DelayAction {

    public UnderIndirectFireDelayAction (int unitHandle, double delay){
	super(unitHandle, delay);
    }

    public ActionReturn checkPoint(){
	if (firstRun) {
	    firstRun = false;
	    return new ActionReturnRequeue(delay);
	}
	((WarUnit)getUnit()).underIndirectFireCompleted();
	return new ActionReturnCompleted();
    }

}	
