package gecco.game.dke3;

import gecco.game.dke.Def;
import java.util.NoSuchElementException;



/**
 * BasePoint.java
 *
 *
 * Created: Wed Jan 21 14:00:33 2004
 *
 * @author <a href=mailto:hans.sandstrom@fhs.mil.se> Hans Sandstrm </a>
 * @version 1.0
 */
public class BasePoint extends gecco.game.dke.GameEventPoint {

    public BasePoint() {
	super();
    }

    public int getBaseForForce(){
	int force;
	try {
	    force = getIntProperty("Base for");
	} catch (NoSuchElementException e) {
	    force = Def.NO_FORCE; 
	}
	return force;
    }
    
} // BasePoint
